Bug 13492 - Add location to the checkouts tables
Summary: Add location to the checkouts tables
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 10212
Blocks: 14841
  Show dependency treegraph
 
Reported: 2014-12-23 14:48 UTC by Jonathan Druart
Modified: 2016-06-21 21:40 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13492: Add the column configuration for the checkouts table - circulation.pl (6.21 KB, patch)
2014-12-23 14:58 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13492: Add the column configuration for the checkouts table - morember.pl (3.42 KB, patch)
2014-12-23 14:58 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13492: Add the location column to the checkouts tables (4.56 KB, patch)
2014-12-23 14:58 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13492: Add the location column to the checkouts tables (4.62 KB, patch)
2015-01-22 22:16 UTC, Aleisha Amohia
Details | Diff | Splinter Review
[PASSED QA] Bug 13492: Add the column configuration for the checkouts table - circulation.pl (6.33 KB, patch)
2015-01-23 16:28 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 13492: Add the column configuration for the checkouts table - morember.pl (3.50 KB, patch)
2015-01-23 16:28 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 13492: Add the location column to the checkouts tables (4.61 KB, patch)
2015-01-23 16:28 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13492: Add the column configuration for the checkouts table - circulation.pl (6.53 KB, patch)
2015-04-23 16:31 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13492: Add the column configuration for the checkouts table - morember.pl (3.48 KB, patch)
2015-04-23 16:31 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13492: Add the location column to the checkouts tables (4.70 KB, patch)
2015-04-23 16:31 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13492: Add the column configuration for the checkouts table - morember.pl (4.05 KB, patch)
2015-04-24 07:27 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13492: Add the location column to the checkouts tables (4.70 KB, patch)
2015-04-24 07:27 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2014-12-23 14:48:49 UTC
The patch set will add the location column to the checkouts tables (circ/circulation.pl and members/moremember.pl).
On the way, it will also add the column settings for these tables.
Comment 1 Jonathan Druart 2014-12-23 14:58:13 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2014-12-23 14:58:17 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2014-12-23 14:58:20 UTC Comment hidden (obsolete)
Comment 4 Aleisha Amohia 2015-01-21 23:30:47 UTC
Tried to test but got the following errors when applying patch it depends on from Bug 10212:

Using index info to reconstruct a base tree...
Falling back to patching base and 3-way merge...
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/admin/columns_settings.tt
CONFLICT (add/add): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/admin/columns_settings.tt
Auto-merging koha-tmpl/intranet-tmpl/prog/en/includes/columns_settings.inc
CONFLICT (add/add): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/includes/columns_settings.inc
Auto-merging admin/columns_settings.yml
CONFLICT (add/add): Merge conflict in admin/columns_settings.yml
Auto-merging C4/Utils/DataTables/ColumnsSettings.pm
CONFLICT (add/add): Merge conflict in C4/Utils/DataTables/ColumnsSettings.pm
Failed to merge in the changes.
Patch failed at 0001 Bug 10212: Columns configuration for tables

Setting to Patch doesn't apply
Comment 5 Jonathan Druart 2015-01-22 09:01:23 UTC
Hi Aleisha, bug 10212 is already pushed to master, you don't need to apply it.
Comment 6 Aleisha Amohia 2015-01-22 22:16:27 UTC Comment hidden (obsolete)
Comment 7 Kyle M Hall 2015-01-23 16:28:32 UTC Comment hidden (obsolete)
Comment 8 Kyle M Hall 2015-01-23 16:28:39 UTC Comment hidden (obsolete)
Comment 9 Kyle M Hall 2015-01-23 16:28:43 UTC Comment hidden (obsolete)
Comment 10 Jonathan Druart 2015-04-23 16:31:45 UTC
Created attachment 38434 [details] [review]
Bug 13492: Add the column configuration for the checkouts table - circulation.pl

Test plan:
1/ Verify that you can show/hide columns on the checkouts table (circulation.pl).
2/ Play with the column configuration admin page (admin/columns_settings.pl),
and confirm the behavior is correct (depends on what you have selected).

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 11 Jonathan Druart 2015-04-23 16:31:51 UTC Comment hidden (obsolete)
Comment 12 Jonathan Druart 2015-04-23 16:31:56 UTC Comment hidden (obsolete)
Comment 13 Jonathan Druart 2015-04-24 07:27:02 UTC
Created attachment 38473 [details] [review]
Bug 13492: Add the column configuration for the checkouts table - morember.pl

Test plan:
1/ Verify that you can show/hide columns on the checkouts table (moremember.pl).
2/ Play with the column configuration admin page (admin/columns_settings.pl),
and confirm the behavior is correct (depends on what you have selected).

Amended patch: replace 'un' and 'deux' with 'sort_order' and
'todays_or_previous_checkouts' in the yml file.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 14 Jonathan Druart 2015-04-24 07:27:07 UTC
Created attachment 38474 [details] [review]
Bug 13492: Add the location column to the checkouts tables

Test plan:
1/ Verify that the location column is correctly displayed on the
checkouts tables (circ/circulation.pl and members/moremember.pl).
2/ Verify that you can hide/show this column (using the admin page
and/or the ColVis DT plugin).

Signed-off-by: Aleisha <aleishaamohia@hotmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 15 Tomás Cohen Arazi 2015-04-24 13:05:23 UTC
Patches pushed to master.

Good job Jonathan!